UI::Util::Http::HeaderField Class Reference

Header field. More...

`#include <Header.hpp>`

Inheritance diagram for UI::Util::Http::HeaderField:
Collaboration diagram for UI::Util::Http::HeaderField:

## Public Member Functions

| HeaderField (std::string const &name, std::string const &value)
| Construct from components.
| HeaderField (std::string const &line)
| Construct from composition (parse).
std::string | get () const
| Get composition.
Get components.
std::string const & | getName () const
std::string const & | getValue () const

## Detailed Description

Header field.

Example header field: "ContentLength: 1234"

## Constructor & Destructor Documentation

## HeaderField()

UI::Util::Http::HeaderField::HeaderField | ( | std::string const & | line | ) |

Construct from composition (parse).

Todo:
  : Is it ok to allow empty names?

todo: What about spaces before colon (e.g. "Content-Length : 34")?

References UI::Util::str2Ascii(), and UI_THROW.

The documentation for this class was generated from the following files:

- Header.hpp
- Header.cpp